#ifndef SHIFT__H
#define SHIFT__H
// Routines to shift an unsigned int by any number of places.
//
// This is needed because using << or >> to shift a 32-bit quantity
// by an amount more than OR EQUAL TO 32 places
// gives an undefined result!!!!!  GRRR!!!!!
// Also using << or >> to shift a negative number of places
// gives an undefined result.

// This is because for some reason the standard abs(int)
// is not of type "unsigned", which leads to gratuitous warnings.
unsigned Abs(const int foo);

unsigned Rsh(const unsigned num, const int places);

unsigned Lsh(const unsigned num, const int places);
#endif /* SHIFT__H */
